Bug 1284688 - git-core depends on perl
git-core depends on perl
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: git (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: pstodulk
Fedora Extras Quality Assurance
:
Depends On:
Blocks: depchain
  Show dependency treegraph
 
Reported: 2015-11-23 17:19 EST by Peter Robinson
Modified: 2015-11-30 16:19 EST (History)
4 users (show)

See Also:
Fixed In Version: git-2.5.0-3.fc23 git-2.6.3-2.fc24
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-30 16:19:58 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Robinson 2015-11-23 17:19:17 EST
So git-2.4.2-2 introduces a split of git into git and git-core with the later not needing to depend on perl.

The following two files included in git-core, at least from 2.5, bring in the perl deps again.

/usr/share/git-core/contrib/hooks/setgitperms.perl
/usr/share/git-core/contrib/hooks/update-paranoid

I'm not sure whether we move the two single files into the main git package, or whether we move over all of the contrib directory into either the main git package or a git-contrib sub package.

Either way can we remove them from git-core so we can drop the perl dep from git-core again. Affects at least f-23 and rawhide
Comment 1 pstodulk 2015-11-27 12:10:02 EST
Thanks Peter for report. I miss that when I split packages. These should be moved to git package on F23 too.
Comment 2 pstodulk 2015-11-27 12:31:29 EST
I am not sure that new subpackage git-contrib has enough benefit for us. I want to cut away from git-core now as little as possible.
Comment 3 Peter Robinson 2015-11-27 14:30:49 EST
(In reply to pstodulk from comment #2)
> I am not sure that new subpackage git-contrib has enough benefit for us. I
> want to cut away from git-core now as little as possible.

No issues, it was just a thought, I basically want as much as possible without perl ;-)
Comment 4 pstodulk 2015-11-27 17:53:01 EST
It should be OK now.
Comment 5 Fedora Update System 2015-11-27 18:18:55 EST
git-2.5.0-3.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-5f483a3543
Comment 6 Fedora Update System 2015-11-28 21:23:08 EST
git-2.5.0-3.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update git'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-5f483a3543
Comment 7 Fedora Update System 2015-11-30 16:19:55 EST
git-2.5.0-3.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.